Returns the WriteConcernError's error code

- « MongoDB\Driver\WriteConcernError

- MongoDB\Driver\WriteConcernError::getInfo »

- PHP Manual
- MongoDB\Driver\WriteConcernError
- Returns the WriteConcernError's error code

# MongoDB\Driver\WriteConcernError::getCode

(mongodb >=1.0.0)

MongoDB\Driver\WriteConcernError::getCode — Returns the WriteConcernError's error code

### Description

final public MongoDB\Driver\WriteConcernError::getCode(): int

### Parameters

This function has no parameters.

### Return Values

Returns the WriteConcernError's error code.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\WriteConcernError::getCode() example

    <?php

    $manager = new MongoDB\Driver\Manager("mongodb://rs1.example.com,rs2.example.com/?replicaSet=myReplicaSet");

    $bulk = new MongoDB\Driver\BulkWrite;
    $bulk->insert(['x' => 1]);

    $writeConcern = new MongoDB\Driver\WriteConcern(2, 1);

    try {
        $manager->executeBulkWrite('db.collection', $bulk, $writeConcern);
    } catch(MongoDB\Driver\Exception\BulkWriteException $e) {
        var_dump($e->getWriteResult()->getWriteConcernError()->getCode());
    }

    ?>

The above example will output something similar to:

    int(64)

### See Also

- » Write Concern reference